if( !EmojiPrint ){
  var EmojiPrint = {};
}
EmojiPrint.Carrier = {
  docomo: {
    name: 'docomo',
    'iso-2022-jp': function(c1, c2){
      return undefined;
    },
    'shift_jis': function( c1, c2 ){
      var value = c1.charCodeAt()*256+c2.charCodeAt();
      if( (value >= 63647 && value <= 63740 ) || (value >= 63808 && value <= 63996 ) ){
	return 'chrome://emojiprint/content/emoji/i/'+value+'.gif';
      }
      return undefined;
    },
    'utf-8': function(c1, c2, c3 ){
      return undefined;	
    },
    filter: function( body ){
      return body;
    }
  },
  au: {
    name: 'au',
    'iso-2022-jp': function(c1, c2){
      if( c1.charCodeAt() >= 117 ){
	var jiscode = c1.charCodeAt().toString(16).toUpperCase() +
                      c2.charCodeAt().toString(16).toUpperCase();
	if( EmojiPrint.Carrier.au['iso-2022-jp'].mapping[jiscode] ){
	  return 'chrome://emojiprint/content/emoji/e/'+EmojiPrint.Carrier.au['iso-2022-jp'].mapping[jiscode]+'.gif';
	}
      }
      return undefined;
    },
    'shift_jis': function( c1, c2 ){
      return undefined;
    },
    'utf-8': function(c1, c2, c3 ){
      return undefined;	
    },
    filter: function( body ){
      return body;
    }
  },
  softbank: {
    name: 'softbank',
    'iso-2022-jp': function(c1, c2){
      return undefined;
    },
    'shift_jis': function( c1, c2 ){
      var v1 = c1.charCodeAt();
      var v2 = c2.charCodeAt();
      if( v1 >= 247 && v2 <= 251 ){
      	var res = 0;
	switch(v1 ){
	case 247:
	  if( v2 >= 65 && v2 <= 126 ){
	    res = 17697 + v2 - 65;
	  }else if( v2 >= 128 && v2 <= 155 ){
	    res = 17759 + v2 - 128;
	  }else if( v2 >= 161 && v2 <= 243 ){
	    res = 17953 + v2 - 161;
	  }
	  break;
	case 249:
	  if( v2 >= 65 && v2 <= 126 ){
	    res = 18209 + v2 - 65;
	  }else if( v2 >= 128 && v2 <= 155 ){
	    res = 18271 + v2 - 128;
	  }else  if( v2 >= 161 && v2 <= 243 ){
	    res = 20257+ v2 - 161;
	  }
	  break;
	case 251:
	  if( v2 >= 65 && v2 <= 126 ){
	    res = 20513 + v2 - 65;
	  }else if( v2 >= 128 && v2 <= 141 ){
	    res = 20575 + v2 - 128;
	  }else  if( v2 >= 161 && v2 <= 215 ){
	    res = 20769+ v2 - 161;
	  }
	  break;
	}
	if( res ){
//	    EmojiPrint.Carrier.softbank.str = EmojiPrint.Carrier.softbank.str + res.toString(16) + String.fromCharCode(13);
	    return 'chrome://emojiprint/content/emoji/s/'+res+'.gif';
	}
      }
      return undefined;
    },
    'utf-8': function(c1, c2, c3 ){
      return undefined;	
    },
    filter: function( body ){
      return body;
    }
  },
  willcom: {
    name: 'willcom',
    'iso-2022-jp': function(c1, c2){
      if( c1.charCodeAt() >= 128 ){
	var value = c1.charCodeAt()*256+c2.charCodeAt();
	if( (value >= 63647 && value <= 63740 ) || (value >= 63808 && value <= 63996 ) ){
	  return 'chrome://emojiprint/content/emoji/i/'+value+'.gif';
	}
      }
      return undefined;
    },
    'shift_jis': function( c1, c2 ){
      return undefined;
    },
    'utf-8': function(c1, c2, c3 ){
      return undefined;	
    },
    filter: function( body ){
      return body.replace(/\&lt\;\#([^\&]+)\&gt\;/g, function(p, name){
//      return body.replace(/\<\#([^\>]+)\>/g, function(p, name){
	name = name.replace(/\//g, '_').replace(/\!/g,'E').replace(/\?/g,'Q');
	return '<img style="vertical-align:text-bottom;" src="chrome://emojiprint/content/emoji/w/'+name+'.gif">';
      });
    }
  },
  docomo_yahoo: {
    name: 'docomo_yahoo',
    'iso-2022-jp': function(c1, c2){
      if( c1.charCodeAt() >= 117 ){
        var val = c1.charCodeAt()*256+c2.charCodeAt();
	var hexval = val.toString(16);
	if( EmojiPrint.Carrier.docomo_yahoo['iso-2022-jp'].mapping[hexval] ){
	  return 'chrome://emojiprint/content/emoji/i/'+EmojiPrint.Carrier.docomo_yahoo['iso-2022-jp'].mapping[hexval]+'.gif';
	}
      }
      return undefined;
    },
    'shift_jis': function( c1, c2 ){
      return undefined;
    },
    'utf-8': function(c1, c2, c3 ){
      return undefined;	
    },
    filter: function( body ){
      return body;
    }    
  },
  softbank_yahoo: {
    name: 'softbank_yahoo',
    'iso-2022-jp': function(c1, c2){
      if( c1.charCodeAt() >= 117 ){
          var val = c1.charCodeAt()*256+c2.charCodeAt();
	  var hexval = val.toString(16);
	  if( EmojiPrint.Carrier.softbank_yahoo['iso-2022-jp'].mapping[hexval] ){
	    return 'chrome://emojiprint/content/emoji/s/'+EmojiPrint.Carrier.softbank_yahoo['iso-2022-jp'].mapping[hexval]+'.gif';
	  }
      }
      return undefined;
    },
    'shift_jis': function( c1, c2 ){
      return undefined;
    },
    'utf-8': function(c1, c2, c3 ){
      return undefined;	
    },
    filter: function( body ){
      return body;
    }    
  }
};

EmojiPrint.Carrier.au['iso-2022-jp'].mapping = {
  "753A": "1",
  "753B": "2",
  "753C": "3",
  "7729": "4",
  "772A": "5",
  "772B": "6",
  "772C": "7",
  "772D": "8",
  "772E": "9",
  "772F": "10",
  "7730": "11",
  "757A": "12",
  "766C": "13",
  "7776": "14",
  "753F": "15",
  "7540": "16",
  "7731": "17",
  "7732": "18",
  "7733": "19",
  "7734": "20",
  "7735": "21",
  "7736": "22",
  "7737": "23",
  "7738": "24",
  "7777": "25",
  "7778": "26",
  "7779": "27",
  "777A": "28",
  "777B": "29",
  "777C": "30",
  "777D": "31",
  "777E": "32",
  "777F": "33",
  "7780": "34",
  "7781": "35",
  "7782": "36",
  "7783": "37",
  "7784": "38",
  "7785": "39",
  "7786": "40",
  "7787": "41",
  "7788": "42",
  "7789": "43",
  "7541": "44",
  "7573": "45",
  "7833": "46",
  "7542": "47",
  "766D": "48",
  "775D": "49",
  "7655": "50",
  "7834": "51",
  "757B": "52",
  "766E": "53",
  "774B": "54",
  "774C": "55",
  "775E": "56",
  "7778": "57",
  "7535": "58",
  "775F": "59",
  "7543": "60",
  "774D": "61",
  "774E": "62",
  "774F": "63",
  "7750": "64",
  "757C": "65",
  "7751": "66",
  "7760": "67",
  "7656": "68",
  "7544": "69",
  "7752": "70",
  "7753": "71",
  "766F": "72",
  "7754": "73",
  "763A": "74",
  "7521": "75",
  "7525": "76",
  "752F": "77",
  "763B": "78",
  "782E": "79",
  "7657": "80",
  "7755": "81",
  "7756": "82",
  "7555": "83",
  "782F": "84",
  "7835": "85",
  "7658": "86",
  "7779": "87",
  "7757": "88",
  "7758": "89",
  "7770": "90",
  "7556": "91",
  "7761": "92",
  "7836": "93",
  "7670": "94",
  "7545": "95",
  "7574": "96",
  "7762": "97",
  "753D": "98",
  "7523": "99",
  "7763": "100",
  "7764": "101",
  "7765": "102",
  "7766": "103",
  "7671": "104",
  "7767": "105",
  "7557": "106",
  "7546": "107",
  "767C": "108",
  "777A": "109",
  "7672": "110",
  "777B": "111",
  "7564": "112",
  "763F": "113",
  "777C": "114",
  "777D": "115",
  "7659": "116",
  "7759": "117",
  "775A": "118",
  "7673": "119",
  "7674": "120",
  "7768": "121",
  "7558": "122",
  "777E": "123",
  "7675": "124",
  "756A": "125",
  "7821": "126",
  "7771": "127",
  "7772": "128",
  "7676": "129",
  "7822": "130",
  "7769": "131",
  "775B": "132",
  "7629": "133",
  "763C": "134",
  "7823": "135",
  "775C": "136",
  "776A": "137",
  "7677": "138",
  "7824": "139",
  "765A": "140",
  "765B": "141",
  "776B": "142",
  "7559": "143",
  "762A": "144",
  "7678": "145",
  "7565": "146",
  "776C": "147",
  "756B": "148",
  "755A": "149",
  "7825": "150",
  "7830": "151",
  "7826": "152",
  "7831": "153",
  "7832": "154",
  "7679": "155",
  "7566": "156",
  "776D": "157",
  "755B": "158",
  "7773": "159",
  "757D": "160",
  "7827": "161",
  "7828": "162",
  "765C": "163",
  "7829": "164",
  "767A": "165",
  "767B": "166",
  "7547": "167",
  "756C": "168",
  "756D": "169",
  "7623": "170",
  "782A": "171",
  "756E": "172",
  "7536": "176",
  "7537": "177",
  "7538": "178",
  "7539": "179",
  "767D": "180",
  "767E": "181",
  "7721": "182",
  "7722": "183",
  "7723": "184",
  "7724": "185",
  "7725": "186",
  "7726": "187",
  "7727": "188",
  "7728": "189",
  "7522": "190",
  "753E": "191",
  "7548": "192",
  "7549": "193",
  "754A": "194",
  "754B": "195",
  "754C": "196",
  "754D": "197",
  "754E": "198",
  "754F": "199",
  "7550": "200",
  "7551": "201",
  "7552": "202",
  "7553": "203",
  "7554": "204",
  "755C": "205",
  "755D": "206",
  "755E": "207",
  "755F": "208",
  "7560": "209",
  "7561": "210",
  "7562": "211",
  "7563": "212",
  "776E": "213",
  "776F": "214",
  "7567": "215",
  "7568": "216",
  "7569": "217",
  "7524": "218",
  "756F": "219",
  "7570": "220",
  "7571": "221",
  "7572": "222",
  "7526": "223",
  "7575": "224",
  "7576": "225",
  "7577": "226",
  "7578": "227",
  "7579": "228",
  "7527": "229",
  "7528": "230",
  "757E": "231",
  "7621": "232",
  "7622": "233",
  "7624": "234",
  "7625": "235",
  "7626": "236",
  "7627": "237",
  "7628": "238",
  "762B": "239",
  "762C": "240",
  "762D": "241",
  "762E": "242",
  "762F": "243",
  "7630": "244",
  "7631": "245",
  "7529": "246",
  "7632": "247",
  "7633": "248",
  "7634": "249",
  "7635": "250",
  "7636": "251",
  "7637": "252",
  "7638": "253",
  "7639": "254",
  "763D": "255",
  "763E": "256",
  "752A": "257",
  "752B": "258",
  "752C": "259",
  "752D": "260",
  "752E": "261",
  "7640": "262",
  "7641": "263",
  "7642": "264",
  "7530": "265",
  "7531": "266",
  "7532": "267",
  "7533": "268",
  "7534": "269",
  "7643": "270",
  "7644": "271",
  "7645": "272",
  "7646": "273",
  "7647": "274",
  "7648": "275",
  "7649": "276",
  "764A": "277",
  "764B": "278",
  "764C": "279",
  "764D": "280",
  "764E": "281",
  "764F": "282",
  "7650": "283",
  "7651": "284",
  "7652": "285",
  "7653": "286",
  "7654": "287",
  "765D": "288",
  "765E": "289",
  "765F": "290",
  "7660": "291",
  "7661": "292",
  "7662": "293",
  "7663": "294",
  "7664": "295",
  "7665": "296",
  "7666": "297",
  "7774": "298",
  "7775": "299",
  "7667": "300",
  "7668": "301",
  "7669": "302",
  "766A": "303",
  "766B": "304",
  "7837": "305",
  "7838": "306",
  "7839": "307",
  "783A": "308",
  "783B": "309",
  "783C": "310",
  "783D": "311",
  "783E": "312",
  "783F": "313",
  "7840": "314",
  "7841": "315",
  "7842": "316",
  "7843": "317",
  "7844": "318",
  "7845": "319",
  "7846": "320",
  "7847": "321",
  "7848": "322",
  "7849": "323",
  "784A": "324",
  "784B": "325",
  "784C": "326",
  "784D": "327",
  "784E": "328",
  "784F": "329",
  "7850": "330",
  "7851": "331",
  "7852": "332",
  "7853": "333",
  "7867": "334",
  "7868": "335",
  "7869": "336",
  "786A": "337",
  "786B": "338",
  "786C": "339",
  "786D": "340",
  "786E": "341",
  "786F": "342",
  "7870": "343",
  "7871": "344",
  "7872": "345",
  "7873": "346",
  "7874": "347",
  "7875": "348",
  "7876": "349",
  "7877": "350",
  "7878": "351",
  "7879": "352",
  "787A": "353",
  "787B": "354",
  "787C": "355",
  "787D": "356",
  "787E": "357",
  "7921": "358",
  "7922": "359",
  "7923": "360",
  "7924": "361",
  "7925": "362",
  "7926": "363",
  "7927": "364",
  "7928": "365",
  "7929": "366",
  "792A": "367",
  "792B": "368",
  "792C": "369",
  "792D": "370",
  "792E": "371",
  "792F": "372",
  "7930": "373",
  "7931": "374",
  "7932": "375",
  "7933": "376",
  "7934": "377",
  "7935": "378",
  "7936": "379",
  "7937": "380",
  "7938": "381",
  "7939": "382",
  "793A": "383",
  "793B": "384",
  "793C": "385",
  "793D": "386",
  "793E": "387",
  "793F": "388",
  "7940": "389",
  "7941": "390",
  "7942": "391",
  "7943": "392",
  "7944": "393",
  "7945": "394",
  "7946": "395",
  "7947": "396",
  "7948": "397",
  "7949": "398",
  "794A": "399",
  "794B": "400",
  "794C": "401",
  "794D": "402",
  "794E": "403",
  "794F": "404",
  "7950": "405",
  "7951": "406",
  "7952": "407",
  "7953": "408",
  "7954": "409",
  "7955": "410",
  "7956": "411",
  "7957": "412",
  "7958": "413",
  "7959": "414",
  "795A": "415",
  "795B": "416",
  "795C": "417",
  "795D": "418",
  "795E": "419",
  "795F": "420",
  "7960": "421",
  "7961": "422",
  "7962": "423",
  "7963": "424",
  "7964": "425",
  "7965": "426",
  "7966": "427",
  "7967": "428",
  "7968": "429",
  "7969": "430",
  "796A": "431",
  "796B": "432",
  "796C": "433",
  "796D": "434",
  "796E": "435",
  "796F": "436",
  "7970": "437",
  "7971": "438",
  "7972": "439",
  "7973": "440",
  "7974": "441",
  "7975": "442",
  "7976": "443",
  "7977": "444",
  "7978": "445",
  "7979": "446",
  "797A": "447",
  "797B": "448",
  "797C": "449",
  "797D": "450",
  "797E": "451",
  "7A21": "452",
  "7A22": "453",
  "7A23": "454",
  "7A24": "455",
  "7A25": "456",
  "7A26": "457",
  "7A27": "458",
  "7A28": "459",
  "7A29": "460",
  "7A2A": "461",
  "7A2B": "462",
  "7A2C": "463",
  "7A2D": "464",
  "7A2E": "465",
  "7A2F": "466",
  "7A30": "467",
  "7A31": "468",
  "7A32": "469",
  "7A33": "470",
  "7A34": "471",
  "7A35": "472",
  "7A36": "473",
  "7A37": "474",
  "7A38": "475",
  "7A39": "476",
  "7A3A": "477",
  "7A3B": "478",
  "7A3C": "479",
  "7A3D": "480",
  "7A3E": "481",
  "7A3F": "482",
  "7A40": "483",
  "7A41": "484",
  "7A42": "485",
  "7A43": "486",
  "7A44": "487",
  "7A45": "488",
  "7A46": "489",
  "7A47": "490",
  "7A48": "491",
  "7A49": "492",
  "7A4A": "493",
  "7A4B": "494",
  "7A4C": "495",
  "7A4D": "496",
  "7A4E": "497",
  "7A4F": "498",
  "7A50": "499",
  "7854": "500",
  "7855": "501",
  "7856": "502",
  "7857": "503",
  "7858": "504",
  "7859": "505",
  "785A": "506",
  "785B": "507",
  "785C": "508",
  "785D": "509",
  "785E": "510",
  "785F": "511",
  "7860": "512",
  "7861": "513",
  "7862": "514",
  "7863": "515",
  "7864": "516",
  "7865": "517",
  "7866": "518",
  "7A51": "700",
  "7A52": "701",
  "7A53": "702",
  "7A54": "703",
  "7A55": "704",
  "7A56": "705",
  "7A57": "706",
  "7A58": "707",
  "7A59": "708",
  "7A5A": "709",
  "7A5B": "710",
  "7A5C": "711",
  "7A5D": "712",
  "7A5E": "713",
  "7A5F": "714",
  "7A60": "715",
  "7A61": "716",
  "7A62": "717",
  "7A63": "718",
  "7A64": "719",
  "7A65": "720",
  "7A66": "721",
  "7A67": "722",
  "7A68": "723",
  "7A69": "724",
  "7A6A": "725",
  "7A6B": "726",
  "7A6C": "727",
  "7A6D": "728",
  "7A6E": "729",
  "7A6F": "730",
  "7A70": "731",
  "7A71": "732",
  "7A72": "733",
  "7A73": "734",
  "7A74": "735",
  "7A75": "736",
  "7A76": "737",
  "7A77": "738",
  "7A78": "739",
  "7A79": "740",
  "7A7A": "741",
  "7A7B": "742",
  "7A7C": "743",
  "7A7D": "744",
  "7A7E": "745",
  "7B21": "746",
  "7B22": "747",
  "7B23": "748",
  "7B24": "749",
  "7B25": "750",
  "7B26": "751",
  "7B27": "752",
  "7B28": "753",
  "7B29": "754",
  "7B2A": "755",
  "7B2B": "756",
  "7B2C": "757",
  "7B2D": "758",
  "7B2E": "759",
  "7B2F": "760",
  "7B30": "761",
  "7B31": "762",
  "7B32": "763",
  "7B33": "764",
  "7B34": "765",
  "7B35": "766",
  "7B36": "767",
  "7B37": "768",
  "7B38": "769",
  "7B39": "770",
  "7B3A": "771",
  "7B3B": "772",
  "7B3C": "773",
  "7B3D": "774",
  "7B3E": "775",
  "7B3F": "776",
  "7B40": "777",
  "7B41": "778",
  "7B42": "779",
  "7B43": "780",
  "7B44": "781",
  "7B45": "782",
  "7B46": "783",
  "7B47": "784",
  "7B48": "785",
  "7B49": "786",
  "7B4A": "787",
  "7B4B": "788",
  "7B4C": "789",
  "7B4D": "790",
  "7B4E": "791",
  "7B4F": "792",
  "7B50": "793",
  "7B51": "794",
  "7B52": "795",
  "7B53": "796",
  "7B54": "797",
  "7B55": "798",
  "7B56": "799",
  "7B57": "800",
  "7B58": "801",
  "7B59": "802",
  "7B5A": "803",
  "7B5B": "804",
  "7B5C": "805",
  "7B5D": "806",
  "7B5E": "807",
  "7B5F": "808",
  "7B60": "809",
  "7B61": "810",
  "7B62": "811",
  "7B63": "812",
  "7B64": "813",
  "7B65": "814",
  "7B66": "815",
  "7B67": "816",
  "7B68": "817",
  "7B69": "818",
  "7B6A": "819",
  "7B6B": "820",
  "7B6C": "821",
  "7B6D": "822"
};

EmojiPrint.Carrier.docomo_yahoo['iso-2022-jp'].mapping = {
  "7541": "63647",
  "7546": "63648",
  "7545": "63649",
  "753e": "63650",
  "7540": "63651",
  "7522": "63652",
  "7837": "63653",
  "7a3e": "63654",
  "7548": "63655",
  "7549": "63656",
  "754a": "63657",
  "754b": "63658",
  "754c": "63659",
  "754d": "63660",
  "754e": "63661",
  "754f": "63662",
  "7550": "63663",
  "7551": "63664",
  "7552": "63665",
  "7553": "63666",
  "7e21": "63667",
  "7573": "63668",
  "7838": "63669",
  "7570": "63670",
  "756f": "63671",
  "7960": "63672",
  "7839": "63673",
  "7572": "63674",
  "783a": "63675",
  "756e": "63676",
  "786e": "63677",
  "7569": "63678",
  "756a": "63679",
  "7e22": "63680",
  "7568": "63681",
  "7936": "63682",
  "756c": "63683",
  "7564": "63684",
  "7566": "63685",
  "7932": "63686",
  "7933": "63687",
  "7563": "63688",
  "755c": "63689",
  "7935": "63690",
  "755d": "63691",
  "776e": "63692",
  "755f": "63693",
  "7523": "63694",
  "755e": "63695",
  "7565": "63696",
  "7836": "63697",
  "757b": "63698",
  "757c": "63699",
  "7631": "63700",
  "7675": "63701",
  "7671": "63702",
  "765e": "63703",
  "7672": "63704",
  "7752": "63705",
  "7e23": "63706",
  "7663": "63707",
  "783b": "63708",
  "7a4b": "63709",
  "783d": "63710",
  "7557": "63711",
  "7536": "63712",
  "7537": "63713",
  "7670": "63714",
  "7555": "63715",
  "7558": "63716",
  "783e": "63717",
  "762a": "63718",
  "783f": "63719",
  "7835": "63720",
  "7827": "63721",
  "7946": "63722",
  "765d": "63723",
  "7621": "63724",
  "7667": "63725",
  "7959": "63726",
  "7840": "63727",
  "7841": "63728",
  "7842": "63729",
  "7843": "63730",
  "7844": "63731",
  "7b68": "63732",
  "7845": "63733",
  "7846": "63734",
  "774a": "63735",
  "7749": "63736",
  "7a6d": "63737",
  "7a6e": "63738",
  "7659": "63739",
  "7538": "63740",
  "7847": "63808",
  "7848": "63809",
  "7849": "63810",
  "753f": "63811",
  "7e24": "63812",
  "763c": "63813",
  "7636": "63814",
  "756d": "63815",
  "7624": "63816",
  "7753": "63817",
  "7861": "63858",
  "7b47": "63859",
  "767b": "63860",
  "7e25": "63861",
  "7e26": "63862",
  "767c": "63863",
  "7e27": "63864",
  "7e28": "63865",
  "777a": "63866",
  "7775": "63867",
  "793c": "63868",
  "7674": "63869",
  "775a": "63870",
  "784a": "63872",
  "7673": "63873",
  "7867": "63874",
  "7a6f": "63875",
  "7d5d": "63876",
  "7b69": "63877",
  "7729": "63878",
  "767d": "63879",
  "767e": "63880",
  "7721": "63881",
  "7722": "63882",
  "7723": "63883",
  "7724": "63884",
  "7725": "63885",
  "7726": "63886",
  "7727": "63887",
  "784b": "63888",
  "784c": "63920",
  "7834": "63889",
  "7b5a": "63890",
  "7530": "63891",
  "7531": "63892",
  "752a": "63893",
  "752b": "63894",
  "7974": "63895",
  "7977": "63896",
  "784d": "63897",
  "7a70": "63898",
  "7870": "63899",
  "7575": "63900",
  "7e29": "63901",
  "7646": "63902",
  "795f": "63903",
  "752f": "63904",
  "7640": "63905",
  "764e": "63906",
  "7533": "63907",
  "7660": "63908",
  "7a71": "63909",
  "752e": "63910",
  "753b": "63911",
  "7a72": "63912",
  "7a73": "63913",
  "784f": "63914",
  "7850": "63915",
  "7641": "63916",
  "764f": "63917",
  "7e2a": "63918",
  "7a74": "63919",
  "7577": "63824",
  "7e2b": "63825",
  "785c": "63826",
  "7e2c": "63829",
  "7d57": "63830",
  "7a47": "63831",
  "7e2d": "63835",
  "7e2e": "63836",
  "7e2f": "63837",
  "7833": "63838",
  "7e30": "63921",
  "7e31": "63922",
  "7868": "63923",
  "765f": "63924",
  "7664": "63925",
  "7b5c": "63926",
  "7571": "63927",
  "766d": "63928",
  "7e32": "63929",
  "7622": "63930",
  "786a": "63931",
  "7b5d": "63932",
  "7826": "63933",
  "755a": "63934",
  "787b": "63935",
  "766f": "63936",
  "7535": "63937",
  "7567": "63938",
  "7962": "63939",
  "7777": "63940",
  "7e33": "63941",
  "7979": "63942",
  "7e34": "63943",
  "7878": "63944",
  "7b42": "63945",
  "797d": "63946",
  "7876": "63947",
  "7654": "63948",
  "7642": "63949",
  "7875": "63950",
  "7e35": "63951",
  "7976": "63952",
  "7973": "63953",
  "752c": "63954",
  "7b4e": "63955",
  "7e36": "63956",
  "7559": "63957",
  "7755": "63958",
  "774b": "63959",
  "7524": "63960",
  "764c": "63961",
  "7b5e": "63962",
  "7756": "63963",
  "753a": "63964",
  "7e37": "63965",
  "793e": "63966",
  "7e38": "63967",
  "793d": "63968",
  "7b5f": "63969",
  "7b60": "63970",
  "7934": "63971",
  "7b61": "63972",
  "786f": "63973",
  "766e": "63974",
  "762d": "63975",
  "763f": "63976",
  "7a78": "63977",
  "796d": "63978",
  "7b62": "63979",
  "7629": "63980",
  "7625": "63981",
  "7630": "63982",
  "762b": "63983",
  "794b": "63984",
  "7853": "63985",
  "7963": "63986",
  "7b63": "63987",
  "763b": "63988",
  "7637": "63989",
  "7a60": "63990",
  "7a23": "63991",
  "7b65": "63992",
  "7633": "63993",
  "7639": "63994",
  "757a": "63995",
  "7877": "63996"
}

EmojiPrint.Carrier.softbank_yahoo['iso-2022-jp'].mapping = {
  "752a": "20533",
  "7a23": "18294",
  "7d46": "18295",
  "7d51": "20532",
  "7875": "20517",
  "7876": "17702",
  "7a25": "20536",
  "7a24": "20535",
  "797c": "20525",
  "7979": "20522",
  "7975": "20516",
  "7642": "17701",
  "7d47": "20521",
  "797d": "20526",
  "7973": "20514",
  "7878": "17704",
  "7974": "20515",
  "7977": "18296",
  "7d4f": "20519",
  "7d4b": "20513",
  "7d50": "20527",
  "797a": "20523",
  "7976": "20518",
  "7b4e": "20531",
  "752c": "20529",
  "7b49": "20530",
  "797e": "20528",
  "7877": "17703",
  "752b": "18297",
  "7b42": "20534",
  "7978": "20520",
  "797b": "20524",
  "764a": "17722",
  "7d48": "17708",
  "795d": "20300",
  "795b": "20298",
  "795e": "20301",
  "7b5a": "20296",
  "795c": "20299",
  "7834": "18242",
  "7530": "18243",
  "795a": "20295",
  "7645": "20297",
  "795f": "20302",
  "7d34": "20309",
  "7640": "20308",
  "7d21": "20311",
  "7d22": "20310",
  "752e": "17756",
  "764f": "20304",
  "7850": "20305",
  "7660": "20294",
  "7870": "18270",
  "7534": "17725",
  "7650": "18298",
  "7654": "18222",
  "7a2b": "20545",
  "7a2a": "20544",
  "764e": "18221",
  "7b68": "18224",
  "7845": "18225",
  "7a2c": "20542",
  "7846": "18226",
  "7d52": "20546",
  "7941": "17998",
  "7942": "17999",
  "765b": "18001",
  "765a": "18000",
  "7b6b": "20551",
  "7a28": "20541",
  "7651": "18223",
  "7a29": "20543",
  "7644": "17772",
  "7b57": "17953",
  "7524": "17717",
  "7d64": "20552",
  "7a5f": "20799",
  "7a31": "20553",
  "7a2e": "20548",
  "7a2d": "20547",
  "7d62": "18035",
  "7a2f": "20550",
  "787c": "17713",
  "7a30": "20549",
  "7666": "20286",
  "7955": "20287",
  "7954": "20285",
  "7d37": "18209",
  "7d32": "18210",
  "7655": "18213",
  "7657": "18212",
  "7a5b": "20794",
  "7a5a": "20793",
  "7a59": "20792",
  "7a56": "20789",
  "7a57": "20790",
  "7a58": "20791",
  "7a5c": "20795",
  "7931": "17778",
  "7871": "18286",
  "7a5d": "20796",
  "7d68": "20798",
  "7653": "17724",
  "7a6d": "20822",
  "7646": "18211",
  "7a27": "20540",
  "7844": "20539",
  "7843": "20537",
  "7a26": "20538",
  "7541": "18282",
  "7545": "18283",
  "7546": "18281",
  "753e": "18280",
  "753f": "18284",
  "7540": "17757",
  "7522": "20579",
  "7b61": "20574",
  "7636": "18287",
  "763c": "18290",
  "7874": "18291",
  "7d69": "20804",
  "7632": "20812",
  "7d3d": "20810",
  "7635": "20817",
  "7872": "18288",
  "7a63": "20807",
  "7873": "18289",
  "7639": "17707",
  "7a64": "20811",
  "7a67": "20815",
  "7634": "17705",
  "7d45": "20808",
  "7633": "18234",
  "7d44": "17748",
  "7a68": "20816",
  "7d40": "20809",
  "7a62": "20806",
  "7a65": "20813",
  "7d36": "20801",
  "763b": "20803",
  "7a66": "20814",
  "7637": "18293",
  "7a61": "20805",
  "7879": "17706",
  "7a60": "20802",
  "7d41": "18233",
  "7529": "18292",
  "7a5e": "20800",
  "7949": "20262",
  "7625": "18256",
  "763f": "20260",
  "766e": "17712",
  "786c": "18258",
  "763e": "20261",
  "7948": "20259",
  "7629": "17720",
  "7d4d": "20583",
  "7921": "17721",
  "763d": "20263",
  "794a": "20264",
  "7d65": "20580",
  "7a42": "20577",
  "7a39": "20566",
  "7b39": "20567",
  "7a3a": "20568",
  "7a3c": "20570",
  "7a3b": "20569",
  "7a3d": "20571",
  "787e": "17719",
  "7a41": "20576",
  "7a43": "20578",
  "7a45": "20582",
  "7a44": "20581",
  "7626": "17723",
  "7a46": "20584",
  "7624": "18259",
  "762a": "17714",
  "766d": "20293",
  "7950": "20274",
  "794f": "20272",
  "7667": "17734",
  "7d49": "17735",
  "7670": "18216",
  "7672": "18269",
  "786a": "18220",
  "765d": "17738",
  "7827": "18218",
  "767b": "18219",
  "7835": "18217",
  "7821": "20278",
  "777d": "17737",
  "7d23": "17761",
  "7d24": "17762",
  "766c": "20279",
  "786b": "17736",
  "7561": "17771",
  "7d5c": "17969",
  "7673": "17716",
  "7d3e": "17765",
  "7677": "17764",
  "7674": "18271",
  "7671": "20275",
  "787d": "17718",
  "752f": "17711",
  "7861": "17700",
  "7b47": "17699",
  "7d3c": "17697",
  "7676": "17698",
  "792c": "17759",
  "7d42": "17760",
  "7d56": "17727",
  "7622": "17743",
  "7d4c": "18257",
  "7536": "20270",
  "7533": "20273",
  "7665": "17715",
  "794e": "20271",
  "766b": "17755",
  "7574": "20555",
  "7839": "20554",
  "756f": "18232",
  "7573": "18230",
  "7570": "18229",
  "7838": "18228",
  "7a33": "20556",
  "7a34": "20557",
  "7b26": "18231",
  "7960": "18227",
  "7840": "17966",
  "7840": "17966",
  "7959": "17964",
  "7842": "17967",
  "7841": "17965",
  "783b": "20770",
  "7647": "17739",
  "757e": "17744",
  "7925": "17741",
  "7577": "20292",
  "7946": "20257",
  "7558": "17768",
  "783b": "20770",
  "765e": "18268",
  "7663": "20266",
  "7a32": "18274",
  "7d55": "18272",
  "7661": "18273",
  "7d57": "17740",
  "7869": "18215",
  "7d39": "20282",
  "7675": "17758",
  "7953": "20283",
  "7868": "18214",
  "7947": "20258",
  "7b50": "20281",
  "7957": "20289",
  "7958": "20290",
  "783e": "20276",
  "7a4b": "20771",
  "787b": "17710",
  "7952": "20280",
  "7a3e": "20572",
  "7922": "17726",
  "7555": "20291",
  "7664": "20284",
  "766f": "18260",
  "7d35": "18261",
  "7836": "18277",
  "7962": "20312",
  "757c": "18279",
  "794c": "20268",
  "757b": "18276",
  "794b": "20267",
  "7565": "18275",
  "7631": "17728",
  "7965": "20315",
  "7969": "20319",
  "796a": "20321",
  "7971": "20332",
  "796c": "20324",
  "7630": "20322",
  "7967": "20317",
  "7968": "20318",
  "7853": "20320",
  "7972": "20333",
  "7963": "20313",
  "762c": "17767",
  "796b": "20323",
  "7966": "20316",
  "7964": "20314",
  "7a40": "20575",
  "783f": "20331",
  "762b": "18278",
  "796d": "20325",
  "796e": "20326",
  "7628": "20328",
  "762f": "20327",
  "7970": "20330",
  "796f": "20329",
  "7564": "18262",
  "7934": "17783",
  "7566": "18264",
  "7932": "17779",
  "7933": "17781",
  "7563": "17773",
  "755d": "17782",
  "7a49": "20769",
  "7935": "17784",
  "7d4a": "20573",
  "786d": "18263",
  "7a4c": "20772",
  "7d4e": "20586",
  "792e": "17766",
  "7d66": "20778",
  "7a4d": "20773",
  "7a4e": "20774",
  "7924": "17730",
  "7a4f": "20776",
  "7579": "20777",
  "786f": "18267",
  "7d53": "18285",
  "7a4a": "20585",
  "7a47": "20587",
  "7d67": "20797",
  "7a48": "20588",
  "7526": "17732",
  "7923": "17729",
  "7a38": "20563",
  "7936": "17954",
  "7d3f": "17749",
  "756d": "18236",
  "756c": "18237",
  "787a": "17709",
  "7567": "17750",
  "7d3b": "20558",
  "756a": "18235",
  "7d3a": "17786",
  "7568": "17785",
  "7a35": "20560",
  "7a37": "20562",
  "7a35": "20560",
  "7a36": "20561",
  "756b": "20559",
  "756e": "18238",
  "7b52": "18265",
  "7569": "20565",
  "7d43": "18239",
  "7557": "17733",
  "776e": "18266",
  "7523": "17774",
  "753a": "18034",
  "792b": "17751",
  "7539": "17961",
  "755c": "17780",
  "7527": "17747",
  "7560": "17776",
  "7956": "20288",
  "7575": "17731",
  "7572": "17746",
  "792d": "17763",
  "7627": "20779",
  "7a55": "20788",
  "7a54": "20787",
  "7770": "20780",
  "7a50": "20781",
  "7929": "20785",
  "7a52": "20783",
  "792a": "20786",
  "7a53": "20784",
  "7a51": "20782",
  "767d": "17980",
  "767e": "17981",
  "7721": "17982",
  "7722": "17983",
  "7723": "17984",
  "7724": "17985",
  "7725": "17986",
  "7726": "17987",
  "7727": "17988",
  "784b": "17989",
  "7b69": "17968",
  "773c": "18002",
  "773d": "18003",
  "7750": "18005",
  "774f": "18004",
  "7752": "18006",
  "7749": "18007",
  "774a": "18008",
  "7753": "18009",
  "772a": "18011",
  "772b": "18010",
  "772c": "18013",
  "772d": "18012",
  "784c": "18029",
  "7867": "17970",
  "7d61": "18028",
  "766a": "17971",
  "7939": "17972",
  "7d38": "20775",
  "7d5b": "17955",
  "7938": "17963",
  "793d": "17994",
  "793e": "17995",
  "7652": "17990",
  "793a": "17991",
  "793f": "17996",
  "7940": "17997",
  "7d5d": "17973",
  "7d5e": "17974",
  "7d5f": "17975",
  "7d60": "17976",
  "793b": "17992",
  "755e": "17777",
  "7d58": "17752",
  "7d59": "17753",
  "7d54": "17754",
  "7537": "17960",
  "755f": "17775",
  "7538": "17962",
  "786e": "20564",
  "7d63": "20265",
  "764c": "20277",
  "794d": "20269",
  "7937": "17959",
  "793c": "17993",
  "773b": "17958",
  "7532": "17957",
  "7d33": "17956",
  "7926": "17742",
  "7944": "18032",
  "7945": "18033",
  "7930": "17770",
  "7d5a": "17769",
  "7548": "18015",
  "7549": "18016",
  "754a": "18017",
  "754b": "18018",
  "754c": "18019",
  "754d": "18020",
  "754e": "18021",
  "754f": "18022",
  "7550": "18023",
  "7551": "18024",
  "7552": "18025",
  "7553": "18026",
  "7554": "18027",
  "7943": "18014",
  "7a69": "20818",
  "7a6a": "20819",
  "7a6c": "20820",
  "7a6b": "20821",
  "7748": "17978",
  "7747": "17977",
  "7d25": "17979",
  "7d31": "18255",
  "7d26": "18244",
  "7d27": "18245",
  "7d28": "18246",
  "7d29": "18247",
  "7d2a": "18248",
  "7d2b": "18249",
  "7d2c": "18250",
  "7d2d": "18251",
  "7d2e": "18252",
  "7d2f": "18253",
  "7d30": "18254",
  "7961": "20306",
  "774d": "20307",
  "7755": "18030",
  "7756": "18031",
  "774b": "20823"
}